#include "rdtsc.h"

#ifdef __KERNEL__
MODULE_LICENSE("GPL");
#endif

u64 get_cpu_tick() {
	u64 tsc;
#ifdef ARCHARM
	tsc = *oscr;
#else
	__asm__ __volatile__("rdtsc" : "=A" (tsc));
#endif
	return tsc;
}

